org.apache.olingo.commons.api.ex

## Class ODataRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.olingo.commons.api.ex.ODataRuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ODataClientErrorException, ODataFlushException, ODataNotSupportedException, ODataServerErrorException

      public class ODataRuntimeException
      extends RuntimeException

  Core runtime exception for OData.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataRuntimeException(Exception cause)` Create with `cause` of exception.
    `ODataRuntimeException(String msg)` Create with `message`.
    `ODataRuntimeException(String msg, Exception cause)` Create with `message` for and `cause` of exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataRuntimeException

          public ODataRuntimeException(String msg)

      Create with `message`.
      Parameters:
        `msg` - message text for exception

    - #### ODataRuntimeException

          public ODataRuntimeException(String msg,
                                       Exception cause)

      Create with `message` for and `cause` of exception.
      Parameters:
        `msg` - message text for exception
        `cause` - cause of exception

    - #### ODataRuntimeException

          public ODataRuntimeException(Exception cause)

      Create with `cause` of exception.
      Parameters:
        `cause` - cause of exception

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.